#
# spec file for package perl-MooseX-Object-Pluggable
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-Object-Pluggable
Version:        0.0014
Release:        1.34
%define cpan_name MooseX-Object-Pluggable
Summary:        Make your classes pluggable
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-Object-Pluggable/
Source:         http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build::Tiny) >= 0.039
BuildRequires:  perl(Module::Pluggable::Object)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(Module::Pluggable::Object)
Requires:       perl(Module::Runtime)
Requires:       perl(Moose::Role)
Requires:       perl(Moose::Util)
Requires:       perl(Try::Tiny)
Requires:       perl(namespace::autoclean)
%{perl_requires}

%description
This module is meant to be loaded as a role from Moose-based classes. It
will add five methods and four attributes to assist you with the loading
and handling of plugins and extensions for plugins. I understand that this
may pollute your namespace, however I took great care in using the least
ambiguous names possible.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.0014
  see /usr/share/doc/packages/perl-MooseX-Object-Pluggable/Changes
  0.0014    2015-01-18 20:38:41Z
  - add a test that runs `moose-outdated`, to make it more obvious
    when there are installation conflicts
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.0013
  - line numbers in shipped code are now almost the same (within 3) as
    the repository source, for easier debugging
  - add error diagnostic if the plugin is not a Moose role (RT#49507)
  - avoid continuing on after failing to load a plugin (RT#63013)
  - keep track of all plugins successfully loaded so far in case we
    fail in the middle (RT#88562)
* Tue Nov 26 2013 coolo@suse.com
- updated to 0.0012
  - removed use of deprecated Class::MOP::load_class
  - repository migrated from shadowcat to the github moose organization
* Tue Dec 20 2011 coolo@suse.com
- updated to 0.0011
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- new package
